Skip to content
Start here

Get screenshot

GET/accounts/{account_id}/urlscanner/v2/screenshots/{scan_id}.png

Get scan’s screenshot by resolution (desktop/mobile/tablet).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
Path ParametersExpand Collapse
account_id: string

Account ID.

scan_id: string

Scan UUID.

formatuuid
Query ParametersExpand Collapse
resolution: optional "desktop" or "mobile" or "tablet"

Target device type.

One of the following:
"desktop"
"mobile"
"tablet"

Get screenshot

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/urlscanner/v2/screenshots/$SCAN_ID.png \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
Returns Examples